## com.imcode.imcms.mapping
Class BatchDocumentGetter

    java.lang.Object
      com.imcode.imcms.mapping.DocumentGetterWrapper
          com.imcode.imcms.mapping.BatchDocumentGetter

All Implemented Interfaces:
  DocumentGetter

    public class BatchDocumentGetter

extends DocumentGetterWrapper

Method Summary
`DocumentDomainObject` `getDocument(java.lang.Integer documentId)` Returns published version of a document.

Methods inherited from class com.imcode.imcms.mapping.DocumentGetterWrapper
`getDocument, getDocuments, getWorkingDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDocument

    public DocumentDomainObject getDocument(java.lang.Integer documentId)

  Description copied from interface: `DocumentGetter`
  Returns published version of a document.

  Specified by:
    `getDocument` in interface `DocumentGetter`
  Overrides:
    `getDocument` in class `DocumentGetterWrapper`